
Figure - Bug #119006
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113423 (New): V4.0专项--BSP专项--稳定性-各项功能长时间运行

【AF】【EVT】【稳定性】MTBF任务管理器打开小窗应用长时间跑测，出现多次任务管理器中小窗卡片与全
屏卡片重叠的情况
2023-07-10 10:15 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-07-10

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0706DB

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2023-07-22

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备成功启动

2、确保MTBF脚本运行的前置条件已准备

【测试步骤】

1、使用python运行对应MTBF脚本

2、运行四天

3、查看设备运行结果

【预期结果】

3、设备正常运行

【实际结果】

3、出现多次任务管理器中小窗卡片与全屏卡片重叠的情况

【mtbf模块步骤】

1、打开任务管理器

2、随机点击小窗窗口的任一应用

3、重复以上步骤

History

#1 - 2023-07-10 10:30 - CDTS_Test 吴诗雨

- Description updated

#2 - 2023-07-18 11:10 - CD APP-王宏

- % Done changed from 0 to 50

- Root cause set to 编码问题

■ Current conclusion

已提交

■ My analysis

卡片数量正确，说明在初始化卡片的时候是能正确获取到小窗状态的，因此，在初始化位置处再次计算小窗的位置，确保小窗缩略图不会和卡片重叠在

一起
■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/215614

#3 - 2023-07-18 17:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

215614 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Solve the overlapping of small windows and RecentsTC-RID: 1201-0205302IssueID: TS-R-BUG-119006Change-Id:

If9f0654d1f425aa7204c23ae1c4891dd58cb5367

#4 - 2023-07-18 17:15 - CD APP-王宏

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-07-19

#5 - 2023-07-20 00:02 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

216249 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher:Solve the overlapping of small windows and RecentsTC-RID: 1201-0205302IssueID: TS-R-BUG-119006Change-Id:

If9f0654d1f425aa7204c23ae1c4891dd58cb5367(cherry picked from commit 1b2ccfec345255fa7a63700e700b86efc0690d19)

#6 - 2023-07-20 10:21 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD APP-王宏

0719DB，验证失败

#7 - 2023-07-20 18:08 - CD APP-王宏

■ Current conclusion

已提交

■ My analysis

1.设置卡片位置的代码 （依赖步骤2）

2.小窗渲染时设置小窗状态

用户操作执行顺序是 1  2
脚本操作执行顺序是 2 1 

导致未获取到正确的小窗状态

解决方案是实时获取小窗状态，不依赖小窗渲染时机

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/216308

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/216426

#8 - 2023-07-21 13:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

216426 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Solve the overlapping of small windows and RecentsTC-RID: 1201-0205302IssueID: TS-R-BUG-119006Change-Id:

I6863d09851d1c87ed4080e016200a9ff103f589e

#9 - 2023-07-21 13:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

216308 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

Revert AF:Launcher:Solve the overlapping of small windows and RecentsTC-RID: 1201-0205302IssueID: TS-R-BUG-119006This reverts commit

1b2ccfec345255fa7a63700e700b86efc0690d19.Reason for revert: <not fixed>Change-Id: I2c3545a619ad9bb1c63010198ed0ae128ae47e9e

#10 - 2023-07-21 13:41 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

- Fixed Version changed from 2023-07-19 to 2023-07-22

#11 - 2023-07-25 09:40 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#12 - 2023-07-25 10:17 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

0722DB验证通过

#13 - 2023-07-27 23:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
218258 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher:Solve the overlapping of small windows and RecentsTC-RID: 1201-0205302IssueID: TS-R-BUG-119006Change-Id:

I6863d09851d1c87ed4080e016200a9ff103f589e(cherry picked from commit 8c2ccef7ae208442d7692bfab4c8bc6a3b284acd)

#14 - 2023-07-27 23:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

218259 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

Revert AF:Launcher:Solve the overlapping of small windows and RecentsTC-RID: 1201-0205302IssueID: TS-R-BUG-119006This reverts commit

1b2ccfec345255fa7a63700e700b86efc0690d19.Reason for revert: <not fixed>Change-Id: I2c3545a619ad9bb1c63010198ed0ae128ae47e9e(cherry picked from

commit 6299e1ca78c2d2bba0c1d62ec35ec8f0b8e4da1c)
